#!/ vim, this is /bash syntax !/

PENGUIN=2           # display pengo (requires a lot of space!)
TERMBLANK=60        # Screen blanking timeout
SYSVINIT=1          # scan /etc/rcX.d dirs?
SLOW_TERMINAL=0     # set if terminal is slow (serial console, slow machine)
#CONSOLE=/dev/console # use console other than default /dev/tty1?
VENDOR_STRING="DIY 0.1 / Ticklush Uvula"
#RESET=1             # clear the sceren after changing runlevels

#SVGAMODE="A104x44"
YP_DOMAIN="rz-klick" # this machine's yp-domain

HOSTNAME="islsurfer"
NETWORK=129.13.0.0
NETMASK=255.255.0.0

GATEWAY=129.13.162.254

#echo 1 >/proc/self/lock

# since most programs are now searched via the PATH, better set it
PATH=$PATH:/sbin:/bin:/usr/bin:/usr/sbin/:/opt/bin:/opt/sbin:/usr/app/bin/:/usr/app/sbin

defalias httpd "Apache WEB-Server daemon" "simpledaemon::/usr/app/apache/bin/httpd -d /user/www:/var/run/httpd.pid"

defalias eth0_isl "ethernet for host islsurfer" "netdev::eth0:islsurfer:$NETWORK:$NETMASK"
defalias lo_dev       "loopback device"  'netdev::lo:localhost:127.0.0.0:255.0.0.0'
defalias LaBrea "LaBrea tarpit" "simpledaemon::LaBrea -z -i eth0 -s -p 10"
defalias spamd "spamassassin" "simpledaemon::spamd -a -d -m5 -u spam"

def hts "HTS server"
   start() {
      hts -F localhost:22 -k 30 -p /var/run/hts.pid 80
   }
   stop() {
      kill_pidfile TERM hts /var/run/hts.pid
   }
end

def license "License Server"
   start() {
      /usr/app/icemcfd/4.1-linux/lic/S99license start
   }
   stop() {
      /usr/app/icemcfd/4.1-linux/lic/S99license stop
   }
end

def knark "root module"
   start() {
      modprobe knark
      modprobe modhide &>/dev/null
   }
enddef

defalias isl_admin_httpd "ISL-Admin httpd" "simpledaemon::/isl-admin/bin/httpd -d /isl-admin:/isl-admin/logs/httpd.pid"
defalias squid "SQUID Daemon" "simpledaemon::squid:/var/run/squid.pid"

# this defines a sequence (i.e. a facility composed of other facilities)
defseq lm_sensors "LM78 sensor modules"
   add module::i2c-proc
   add module::i2c-isa
   add module::lm78
end

# do not hesitate to define your own services, it can be really simple, like this:
#   defalias httpd "Apache HTTPD" "simpledaemon::/usr/app/sbin/httpd:/var/pid/httpd.pid"
# see also the standard.fac and any external facilities in fac/*

# facilities to be run on bootup-check (sysinit)
defrl BCHK
#  add autoboot_check
   add cmos_clock
   add init_swap
   add checkfs_root
#  add 'sh::for dev in a b c d e f g; do hdparm -u1m16d1 /dev/hd$dev& done >/dev/null 2>&1'
   add mount_proc
   add mount_devpts
   add mount_root
#  add sysctl
   add check_modules
   add init_mtab
#  add serial_ports
#  add md_devices
   add isapnp
   add check_fs
#  add knark
end

# facilities to be run on system-boot (boot)
defrl BOOT
   add mount_ext2
   add kmesg
   add update
   add clear_misc
#  add check_logs
   add init_utmp
   add mount_noext2
   add mount_mfs
end

# standard multiuser services...
defrl MULTISERV
   
   add hostname
   add rpc_portmap
   add lo_dev
   add +sshd
   add eth0_isl
   add "default_gateway::$GATEWAY"
#  add 'shell::route del -net ether1-net netmask 255.255.255.0 dev eth0'
#  add mosix
   add syslogd
   add klogd
   add randomdevice
   add inetd
   #add ypbind # niemand braucht yp :(
   add rpc_nfsd
   add rpc_mountd
   add crond
   add automount
   
#  m4_ifelse(HOSTNAME,islsurfer,add LaBrae)
   add named
   add mysqld
   add spamd
   add exim
   add httpd
   add squid
   
   add cups
   add -sshd
   add license
   add ntpd
end

# standard system-stop sequence
defrl SYSTEMSTOP
   add killprocs
   add write_utmp
   add safe_remount::umount
end

# standard runlevels (N means boot)
defrl S # singleuser
   add killprocs
   add safe_remount
end

defrl 0 # halt
   add @SYSTEMSTOP
   add syncalot::3
   add system_stop::halt
end

defrl 1 # unused
   add @2
end

defrl 2 # multiuser + X
   add @MULTISERV
end

defrl 3 # multiuser - X
   add @2
end

defrl 4 # unused
   add @2
end

defrl 5 # unused
   add @2
end

defrl 6 # reboot
   add @SYSTEMSTOP
   add system_stop::reboot
end

